using skydiveLogs_api.Domain;

namespace skydiveLogs_api.DomainBusiness.Interfaces
{
    public interface ICacheService
    {
        #region Public Methods

        bool Contains(CacheType type, int id = 0);

        void Delete(CacheType type, int id = 0);

        T Get<T>(CacheType type, int id = 0);

        void Put(CacheType type, object value, int duration, int id = 0);

        #endregion Public Methods
    }
}